CMS Tool API

CMS Tool API schema

Public API version 1.4.51.

Member Notes

View or add notes to a member record

Endpoint URL

https://api.cms-tool.net/api/membernotes

/api/membernotes

Read and update notes about members.

GET

List records, or retrieve one by appending its ID to the path.

Query parameters

NameTypeExampleNotes
idint123Filter results by id.
mbr_idint123Filter results by mbr id.
from_uidint123Filter results by from uid.
note_subjecttextexampleFilter results by note subject.
note_typetextexampleFilter results by note type.
offsetint123Skip this many matching records before returning results.
pageSizeint123Limit the number of records returned; accepted values are 1 through 999, with 200 used otherwise.

POST

Create or update a record from a JSON object.

Request content type: application/json

Request body fields

NameTypeExampleNotes
idint123Set the id value.
mbr_idint123Set the mbr id value.
note_subjecttextexampleSet the note subject value.
note_bodytextexampleSet the note body value.
note_typetextexampleSet the note type value.

Data definitions

FieldTypeDescriptionFormatExample
note_subjecttextSubject for the note
note_typetexteg **Note Re Message**, or **Sent Mail**
note_bodytextThe main content of the note
note_idserialUnique ID
about_uidintWhat customer is this note regarding. All notes need to be about a member.
note_timetimestampTimestamp when the note was made
note_re_msgidintIf this is a note (reply) about a message or enquiry then use the message ID here
from_uidintWhich staff member created this note

Usage instructions and examples

Add a new note

To add a new notes do not provide any Note Id. Provide a mbr_id if known or a member email address and member name to record the note against a member. If no member exists system will create a new member for the email address.
Rest of the details will be used to create the new note.

Example when mbr_id is known.
{

  "mbr_id": 1234,

  "note_subject": "notes from api",

  "note_body": "body of note"

}

Example when mbr_id is not known.

{

  "mbr_email": "test@email.com",

  "mbr_name": "member name",

  "note_subject": "notes from api",

  "note_body": "body of note"

}

Update an existing note

To update a note provide it's ID. You can update the subject, body, note type of any note.

Example:

{

  "note_id": 1234,

  "note_subject": "notes from api",

  "note_body" : "body of note"

}

Sample object

       {

           "note_subject": "this is a test note.",

           "note_body": "note regarding something",

           "note_id": 1234,

           "about_uid": 567,

           "id": 1234,

           "note_time": "2021-07-15 12:21:35.151008",

           "note_re_msgid": 0,

           "from_uid": 40,

           "cid": 128528

       }

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.